<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_11def3af2a833468dd0e4ff1f0b" . "c5414" => base64_decode("Li4vY29yZS9ib290" . "c3RyYXAucGhw"), "_eb3d186" . "008f632a" . "0f30f9ce" . "b2ecf5d9" . "c" => base64_decode("cmVjb3Zl" . "cg=="), "_dcf86ccc31af7f63" . "af36115aa12b1ee7" => base64_decode("Y2hkaXI" . "="), "_70dc1ee5e25ad6e161d08e0a3cd1" . "6124" => base64_decode("VXBkYXRpbmcgYXBwbGljYXRpb24gaW5zdG" . "VhZA=="), "_dda96eb36c5664b9e2bd4" . "34a776edb25" => base64_decode("L1BoaW5nTG9nZ2VyLnBocA" . "=="), "_7618fa2e44dd7c2" . "de26ed1413b53cdd" . "d" => base64_decode("Ly4uLy4u" . "Ly4uL3Nl" . "dHVw"), "_9342063570b40df" . "2075204394b59df5" . "9" => base64_decode("Z2" . "V0" . "Y3" . "dk"), "_e13e80e20d331f" . "ace5f56ce9d9be4" . "2cd" => base64_decode("cmVzdG9yZV" . "9lcnJvcl9o" . "YW5kbGVy"));
require_once __DIR__ . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_dda96eb36c5" . "664b9e2bd434" . "a776edb25"];
use Claromentis\Setup\Exception\AlreadyInstalledException;
use Claromentis\Setup\Util;




class DbInstallTask extends Task
{
    
    
    
    
    protected $application = null;
    public function init()
    {
    }
    public function main()
    {
        $_33cd0a6efc4dc46179519f04eaa36255 = $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_9342063570b40df2075" . "204394b59df59"]();
        $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_dcf86ccc31af7f63a" . "f36115aa12b1ee7"](__DIR__ . $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_7618fa2e44dd7c2de26ed141" . "3b53cddd"]);
        require_once $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_11def3af2a833468dd0e4ff1f0b" . "c5414"];
        $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_e13e80e20d331face5f56ce9d9be42" . "cd"]();
        global $g_application;
        try {
            global $db;
            $db = $g_application->db;
            $_4825e032d19ebe3edee32a6a54c7afd2 = Util::GetApplicationPath($this->application, $g_application, $this->project);
            $_19eb5dd674f41f73f28cc12c375e91bd = new \Claromentis\Setup\Task\Install($db, $this->application, $_4825e032d19ebe3edee32a6a54c7afd2);
            $_19eb5dd674f41f73f28cc12c375e91bd->setLogger(new PhingLogger($this->project));
            $_19eb5dd674f41f73f28cc12c375e91bd->setProperties($this->project->GetProperties());
            try {
                $_19eb5dd674f41f73f28cc12c375e91bd->Install();
            } catch (AlreadyInstalledException $e) {
                if ($this->project->getProperty($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_eb3d186008f632a0f3" . "0f9ceb2ecf5d9c"])) {
                    $this->log($e->getMessage(), Project::MSG_WARN);
                    $this->log($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_70dc1ee5e25ad6" . "e161d08e0a3cd16" . "124"], Project::MSG_INFO);
                    $_19eb5dd674f41f73f28cc12c375e91bd->Update();
                } else {
                    throw $e;
                }
            }
        } catch (Exception $e) {
            $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_dcf86ccc31af7f63af36115aa12b" . "1ee7"]($_33cd0a6efc4dc46179519f04eaa36255);
            $this->log($e->getMessage(), Project::MSG_ERR);
            throw new BuildException($e->getMessage());
        }
        $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_dcf86ccc31af7f63af361" . "15aa12b1ee7"]($_33cd0a6efc4dc46179519f04eaa36255);
    }
    
    
    
    
    
    
    public function setApplication($_f44467aacb8a4520c7382769d24aa422)
    {
        $this->application = $_f44467aacb8a4520c7382769d24aa422;
    }
}